package infoCCD;

import java.net.URL;

public class URLPoint {
	static URLPoint endGhost = new URLPoint();
	URL url;
	URLPoint lastPoint = null;
	URLPoint nextPoint = null;

	public URLPoint () {
		url = null;
	}
	
	public URLPoint (URL myURL) {
		url = myURL;
		lastPoint = endGhost;
		nextPoint = endGhost;
		
	}
	
	public URLPoint (URL myURL, URLPoint lastPoint) {
		url = myURL;
		setLinks(lastPoint);
	}
	
	public void setLinks (URLPoint lastPoint) {
		this.lastPoint = lastPoint;
		this.nextPoint = endGhost;
		lastPoint.nextPoint = this;
	}
	
}
